﻿using UnityEngine;
using System.Collections;
using System;
using System.Runtime.Serialization;
using System.Runtime.Serialization.Formatters.Binary;
using System.IO;

public class DataScript : MonoBehaviour {

	static string fileName = "playerData.dat";
	public static PlayerData playerData;

	public static void initPlayerData(){
		playerData = new PlayerData ();
	}

	public static void save(){
		BinaryFormatter bf = new BinaryFormatter ();
		FileStream file = File.Create (Application.persistentDataPath + "/" + fileName);
		bf.Serialize (file, playerData);
		file.Close ();
	}
		
	public static void load(){
		try{
			BinaryFormatter bf = new BinaryFormatter();
			FileStream file = File.Open(Application.persistentDataPath + "/" + fileName, FileMode.Open);
			playerData = (PlayerData)bf.Deserialize(file);
			file.Close();
		}
		catch(Exception ex){
			initPlayerData();
			save();
		}
	}
}

[Serializable]
public class PlayerData {
	int highscore;
	
	public int Highscore {
		get {
			return this.highscore;
		}
		set {
			highscore = value;
		}
	}
}