﻿using UnityEngine;
using UnityEngine.UI;
using UnityEngine.EventSystems;
using System.Collections;

public class Menu : MonoBehaviour {

    public GameObject menus;
    public GameObject credits;
    public Text highScore;

    public void Start()
    {
		DataScript.load ();
        highScore.text = "Beat This High Score : " + DataScript.playerData.Highscore;

        GetComponent<AudioSource>().playOnAwake = true;
        GetComponent<AudioSource>().loop = true;
        GetComponent<AudioSource>().Play();
    }
       
    public void StartGame()
    {
        Application.LoadLevel(2);
        menus.SetActive(false);
    }

    public void CreditsMenu()
    {
        menus.SetActive(false);
        credits.SetActive(true);
    }

    public void BackToMenu()
    {
        menus.SetActive(true);
        credits.SetActive(false);
    }

    public void ExitMenu()
    {
        Application.Quit();
    }
}
