﻿using UnityEngine;
using System.Collections;

public class SplashScript : MonoBehaviour {

	SpriteRenderer spriteRenderer;

	// Use this for initialization
	void Start () {
		spriteRenderer = GetComponent<SpriteRenderer> ();
		Invoke ("loadMainMenu", 3);
	}
	
	// Update is called once per frame
	void Update () {
	
	}

	void loadMainMenu(){
		StartCoroutine (fadeOutSplash ());
	}

	IEnumerator fadeOutSplash(){
		float lerpValue = 0f;
		float lerpSpeed = 2f;

		Color startColor = Color.white;
		Color targetColor = startColor;
		targetColor.a = 0f;

		while (lerpValue < 1f) {
			lerpValue += lerpSpeed * Time.deltaTime;
			spriteRenderer.color = Color.Lerp(startColor, targetColor, lerpValue);

			yield return 0;
		}

		Application.LoadLevel (1);
	}
}
